Bug 438564 - update trashes existing setup
update trashes existing setup
Product: Fedora
Classification: Fedora
Component: lighttpd (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-21 19:55 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.4.20-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-22 11:22:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-03-21 19:55:48 EDT
I did a yum update, and my webserver stopped working.
The /etc/lighttpd/lighttpd.conf had its document root changed. (I set mine to
serve from /srv instead of /var).

Also, more annoying, the upgrade deleted the index.html from my document root.

Luckily I keep my /etc and /srv in git, so I was able to revert them with git
diff | patch -p1 -R
Comment 1 Matthias Saou 2008-03-22 15:47:33 EDT
I think your setup stopped working because you hadn't edited the default
configuration. It was set up to serve from /srv at one point, unfortunately this
isn't FHS compliant from what I've understood, so it was switched back to
/var/www instead.

Your other issue raises an interesting point, though : Should the default
index.html file be marked as %config in the package? I never thought of it,
since I always point virtual hosts to other directories, never touching the
original default directory, and I can only assume that most others do the same
since this is the first time this problem is reported.
Technically, that file isn't a configuration file, though... maybe another
option would be to do something similar to the apache package, where there is no
default index file, but the 404 error page for "/" is redirected to a special
default page. This might mean having to enable some more modules by default, though.
Comment 2 Bug Zapper 2008-11-26 05:14:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Matthias Saou 2008-12-22 11:22:07 EST
I've now tagged the default index.html as %config, so that even when the upgrade replaces it, the changed/replaced content won't be lost. This is the best I could come up with, the second best being including a README next to the default files, stating not to change them but instead create other directories beside the default lighttpd one inside /var/www/.

Note You need to log in before you can comment on or make changes to this bug.